%define rev git20140906

%define major 0
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Summary:	Qt wrapper library for vk.com API
Name:		vreen
# From CMakeLists.txt
Version:	0.9.5
Release:	%mkrel -c %{rev} 4
License:	LGPLv3+
Group:		System/Libraries
Url:		http://github.com/gorthauer/vreen
# From git
Source0:	https://github.com/gorthauer/vreen/archive/master.tar.gz
Source1:	https://github.com/gorthauer/cmake-utils/archive/master.zip
Source2:	https://gitorious.org/k8jsonqt/qutim-developers-k8json/archive/567f28e7bf76305153a61170fafafdd0db3487cb.tar.gz
Patch0:		vreen-qt5-check.patch
Patch1:		vreen-linkage.patch
Patch2:		vreen-0.9.5-mga-no-lto.patch
BuildRequires:	cmake
BuildRequires:	qt4-devel
BuildRequires:	pkgconfig(QtWebKit)

%description
Qt wrapper library for VKontakte social network (vk.com) API.

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Qt wrapper library for vk.com API
Group:		System/Libraries

%description -n %{libname}
Qt wrapper library for VKontakte social network (vk.com) API.

%files -n %{libname}
%doc AUTHORS
%{_libdir}/lib%{name}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for vk.com API Qt wrapper library
Group:		Development/C++
Requires:	%{libname} = %{version}

%description -n %{devname}
Development files for %{name} library.

%files -n %{devname}
%{_includedir}/%{name}
%{_libdir}/lib%{name}.so
%{_libdir}/lib%{name}oauth.a
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/pkgconfig/%{name}oauth.pc

#----------------------------------------------------------------------------

%prep
%setup -q -n %{name}-master -a1 -a2
mv cmake-utils-master/*.cmake cmake
mv k8jsonqt-qutim-developers-k8json/* src/3rdparty/k8json/
%apply_patches

%build
%cmake_qt4 \
	-DVREEN_WITH_QMLAPI=OFF
make VERBOSE=1

%install
%makeinstall_std -C build


%changelog
* Mon Feb 08 2016 umeabot <umeabot> 0.9.5-0.git20140906.4.mga6
+ Revision: 950678
- Mageia 6 Mass Rebuild

* Mon Nov 17 2014 danf <danf> 0.9.5-0.git20140906.3.mga5
+ Revision: 797634
- Added no-lto.patch to disable the buggy link-time optimizer that
  causes link errors

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild
    - Mageia 5 Mass Rebuild

  + fwang <fwang>
    - fix linkage
    - make verbose
    - fix qt5 check
    - add k8json source
    - move to correct dir
    - add cmake utils module
    - new snapshot
    - rebuild for new gcc

* Sat Apr 19 2014 alexl <alexl> 0.9.5-0.git20131027.3.mga5
+ Revision: 617054
- fix requires for devel pkg again

* Sat Apr 19 2014 alexl <alexl> 0.9.5-0.git20131027.2.mga5
+ Revision: 617050
- fix requires for devel pkg

* Sat Apr 19 2014 alexl <alexl> 0.9.5-0.git20131027.1.mga5
+ Revision: 617044
- imported package vreen

